diff -ruw fuse.org/kernel/Makefile.in fuse/kernel/Makefile.in
--- fuse.org/kernel/Makefile.in	2005-11-29 16:39:18.000000000 +0100
+++ fuse/kernel/Makefile.in	2006-06-14 06:21:17.000000000 +0200
@@ -31,11 +31,11 @@
 install-y: all
 	$(mkdir_p) $(DESTDIR)$(fusemoduledir)
 	$(INSTALL) -m 644 $(fusemodule) $(DESTDIR)$(fusemoduledir)/$(fusemodule)
-	-/sbin/depmod -a
+#	-/sbin/depmod -a
 
 uninstall-y:
 	rm -f $(DESTDIR)$(fusemoduledir)/$(fusemodule)
-	-/sbin/depmod -a
+#	-/sbin/depmod -a
 
 clean:
 	-rm -f $(fusemodule) *.o .*.cmd *.mod.c *.ko *.s */*.o
@@ -54,10 +54,11 @@
 
 ifeq ($(majver), 2.4)
 
-CC = gcc
-LD = ld
+CC = @CC@
+LD = $(shell echo @CC@ | sed 's/-gcc/-ld/')
+STRIP = $(shell echo @CC@ | sed 's/-gcc/-strip/')
 CFLAGS = -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -pipe @KERNELCFLAGS@
-CPPFLAGS = -I@kernelsrc@/include -I. -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES -DFUSE_VERSION=\"$(VERSION)\" @KERNELCPPFLAGS@
+CPPFLAGS = -D__KERNEL__ -I@kernelsrc@/include  -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -pipe -fno-strength-reduce -Wno-sign-compare -fno-asynchronous-unwind-tables -DMODULE -D_LOOSE_KERNEL_NAMES -DFUSE_VERSION=\"$(VERSION)\" @KERNELCPPFLAGS@
 
 fuse_objs = dev.o dir.o file.o inode.o compat/parser.o
 
@@ -67,6 +68,7 @@
 
 .c.o:
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@
+#	$(STRIP) $@
 
 fuse.o: $(fuse_objs)
 	$(LD) -r -o fuse.o $(fuse_objs)
